Fetch wait times of available stylists for a selected service

Purpose: The purpose of this API is to retrieve the wait times of available stylists for a selected service in a center.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Object

NameTypeDescription
available_timesobjectAn object containing the information of available_times.
first_available_timesobjectAn object containing details of the employees who are available first.
available_times_by_guestobjectAn object containing details of employee available times based on guests' availability.

available_times Object

NameTypeDescription
employeeobjectObject containing the employee details.
idguidUnique identifier of the employee.
display_namestringName of the employee.
genderstringGender of the employee. F - Female, M - Male.
start_timedate&timeThis is the available time of the employee.

first_available_times Object

NameTypeDescription
employeeobjectObject containing the employee details.
idguidUnique identifier of the employee.
display_namestringName of the employee.
genderstringGender of the employee. F - Female, M - Male.
start_timedate&timeThis is the available time of the employee.

available_times_by_guest Object

NameTypeDescription
start_timedate&timeThis is the available time of the employee.

error Object

MessageCodeDescription
One or more therapists are not availableGE437When the employee's catalog or kiosk is not enabled.
One or more therapists are not availableGE437When the employee's available time falls outside the online hours and online hours parameter is true.
Invalid center idGE502When the entered center_id is invalid.
Request cannot be emptyGE503When the request object is "NULL".
Query Params
boolean
Defaults to false

If true, first available center time will be provided otherwise first slot will be provided.

boolean
Defaults to false

If true, catalog validations for employees and services is skipped. If false, catalog validations for the employees and the services are performed.

boolean
Defaults to false

If true, Zenoti will not check if the employees are available in kiosk. If false, Zenoti will check if the employees are available on Kiosk.

string

Optional parameter, used in expand.

Body Params
string

Unique identifier of the center.

boolean

If true, Zenoti will consider the online hours while fetching the wait times. If false, Zenoti will not consider the online hours while fetching the wait times of available stylists.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json